package DB;
public class DataRowHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_alias_tc( DB.DataRowHelper.id(),"DataRow",org.omg.CORBA.ORB.init().create_sequence_tc(0, DB.ColumnDataHelper.type()));
	public DataRowHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, DB.ColumnData[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static DB.ColumnData[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:DB/DataRow:1.0";
	}
	public static DB.ColumnData[] read(org.omg.CORBA.portable.InputStream _in)
	{
		DB.ColumnData[] _result;
		int _l_result = _in.read_long();
		_result = new DB.ColumnData[_l_result];
		for(int i=0;i<_result.length;i++)
		{
			_result[i]=DB.ColumnDataHelper.read(_in);
		}

		return _result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, DB.ColumnData[] _s)
	{
		
		_out.write_long(_s.length);
		for( int i=0; i<_s.length;i++)
		{
			DB.ColumnDataHelper.write(_out,_s[i]);
		}

	}
}
